Bug 488410 - (perl-HTML-TagCloud) Review Request: perl-HTML-TagCloud - Generate An HTML Tag Cloud
Review Request: perl-HTML-TagCloud - Generate An HTML Tag Cloud
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-03-04 02:24 EST by Chris Weyl
Modified: 2009-03-06 01:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-06 01:03:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-03-04 02:24:39 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-HTML-TagCloud.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-HTML-TagCloud-0.34-1.fc10.src.rpm

The HTML::TagCloud module enables you to generate "tag clouds" in HTML. Tag
clouds serve as a textual way to visualize terms and topics that are used
most frequently. The tags are sorted alphabetically and a larger font is
used to indicate more frequent term usage.

This module provides a simple interface to generating a CSS-based HTML tag
cloud. You simply pass in a set of tags, their URL and their count.  This
module outputs stylesheet-based HTML.  You may use the included CSS or use
your own.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1219368

Comment 1 Parag AN(पराग) 2009-03-04 02:44:26 EST
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1219368
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
095f3b1d5159cd1ef1d3dd240f566bb3  HTML-TagCloud-0.34.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=14,  0 wallclock secs ( 0.01 usr  0.00 sys +  0.16 cusr  0.02 csys =  0.19 CPU)
+ Package perl-HTML-TagCloud-0.34-1.fc11-noarch =>
  Provides: perl(HTML::TagCloud) = 0.34
  Requires: perl(strict) perl(warnings)

Comment 2 Chris Weyl 2009-03-04 03:09:14 EST
New Package CVS Request
Package Name: perl-HTML-TagCloud
Short Description: Generate An HTML Tag Cloud
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-03-05 15:55:50 EST
cvs done.
Comment 4 Chris Weyl 2009-03-06 01:03:32 EST
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.